export interface ILog {
    message: any;
    level: string;
    startTime?: Date;
    category?: string;
}
/**
 * 前端的logger，具备日志上报服务和功能
 */
export declare class BrowserLarkLogger {
    private category;
    constructor(category: any);
    init(category: any): void;
    setCategory(category: any): void;
    log(...args: any[]): Promise<void>;
    logIf(condition: boolean, ...args: any[]): Promise<void>;
    trace(...args: any[]): Promise<void>;
    fatal(...args: any[]): Promise<void>;
    info(...args: any[]): Promise<void>;
    infoIf(condition: boolean, ...args: any[]): Promise<void>;
    error(...args: any[]): Promise<void>;
    errorIf(condition: boolean, ...args: any[]): Promise<void>;
    warn(...args: any[]): Promise<void>;
    warnIf(condition: boolean, ...args: any[]): Promise<void>;
    wrapErrorsWithInspect(items: any): string;
    getFormatData(log: ILog): any;
    getFormatString(log: ILog): string;
    write(message: any, level: any): Promise<void>;
    private stringify(obj);
    private serializer(replacer, cycleReplacer);
}
export declare const browserLogger: BrowserLarkLogger;
